$menu-content-color: rgba(255,255,255,.8);
.content-menu.default{
	@extend .sticky-top;
	height: 0;
	top:0;
	@extend .col-8;
	@extend .col-sm-5;
	@extend .col-lg-4;
	@extend .col-xl-3;
	float:right;	
	z-index: 100;
	&, & ul, & .content-menu-menu, & .content-menu-toggler{
		transition: all .5s ease-in-out;	
	}
	.content-menu-toggler{
		cursor: pointer;
	}
	> .content-menu-toggler{
		color: $menu-content-color;
		display: none;
		cursor: pointer;
		position: absolute;
		top: 110px;
		left: 5px;
		width: 40px;
		height: 40px;
		line-height: 40px;
		text-align: center;
		font-size: 1.5rem;
		z-index: 100;
		body.rtl & {
			font-size: 1.9rem;
		}

	}
	.content-menu-menu{
		background-color: rgba(0,0,0,.66);
		padding-top: 10px;
		padding-bottom: 10px;
		top:100px;
		position: absolute;
		right: 0;
		color: $menu-content-color;
		transform-origin: 0 0;
		overflow: hidden;
		padding-left: 15px;
		padding-right: 10px;
		
	}
	&.closed{
		width: 40px;
		> .content-menu-toggler{
			display: block;
		}	

		background-color: transparent;
		.content-menu-toggler{
			color: inherit;
			left: 0;
		}
		.content-menu-menu{
			width: 0;
			opacity: 0;
			padding: 0;
			overflow-x: hidden;
			> ul{

				transform:translateX(200px);
				body.rtl & {
					transform : translateX(-200px);
				}
			}
		}
		body.rtl & .content-menu-toggler{
			transform: translateX(0);
		}
	}

	ul.level--1, ul.level-0, ul.level-1{
		padding-left: 15px;
		a{
			@extend h5;
			cursor: pointer;
			margin: 0;
			font-weight: 600;
			letter-spacing: 0px;


		}
		li{
			position: relative;
		}
	}
	ul.level--1, ul.level-0{
		>li > a:before{
			content: '';
			top: 7px;
			left: -22px;
			width: 12px;
			height: 12px;
			position: absolute;
			background: $menu-content-color;
			border-radius: 50%;
		}

	}
	ul.level--1{
		@extend .uppercase;
		@extend .h5;
		padding-left: 15px;
		margin-left: 10px;
		border-left: 2px solid $menu-content-color;
		> li + li{
			margin-top: 10px;
		}

	}
	ul.level-0{
		margin-top: 5px;
		margin-bottom: 5px;
		> li > a{
			font-size: 80%;
			font-weight: 400;
			&:before{
				left: -12px;
				width: 5px;
				top: 10px;
				height: 5px;
			}
		}
	}
	ul.level-1{
		> li > a{
			font-size: 65%;
			font-weight: 300;
			&:before{
				content:'- ';
				position: inline;
			}
		}
		margin-bottom: 5px;
	}
}


.content-menu.side-overlay{
	@extend .sticky-top;
	width: 100%;
	top: 70px;
	z-index: 0;
	height: 0;
	.content-menu-menu{
		@extend .col-md-1;
		padding: 0;
		background: rgba(0,0,0,.5);
		li{
			a{
				font-family: $font-family-sans-serif;
				text-transform: uppercase;
				opacity: 0.8;
				padding: 5px 10px;
				display: block;
				&.active{
					opacity: 1;
					color: white;
				}
			}
			cursor: pointer;
		}
	}
	.menu-order{
		display: none;
	}
	.content-menu-toggler{
		display:none;
	}
}